From f0f04b7315f59b3a9b814c13c705d4354d0c0626 Mon Sep 17 00:00:00 2001
From: mpromonet <michel.promonet@free.fr>
Date: Fri, 27 Nov 2020 19:36:43 +0100
Subject: [PATCH] fix #216: allow to build with live555 newer than 2020.11.27
 (2020.11.25 & 2020.11.26 doesnot build)

---
 inc/HTTPServer.h | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

--- a/inc/HTTPServer.h
+++ b/inc/HTTPServer.h
@@ -113,13 +113,18 @@ class TCPSink: public MediaSink {
 // ---------------------------------------------------------
 //  Extend RTSP server to add support for HLS and MPEG-DASH
 // ---------------------------------------------------------
+#if LIVEMEDIA_LIBRARY_VERSION_INT < 1606435200
+#define SOCKETCLIENT sockaddr_in 
+#else
+#define SOCKETCLIENT sockaddr_storage 
+#endif
 class HTTPServer : public RTSPServer
 {
 
 	class HTTPClientConnection : public RTSPServer::RTSPClientConnection
 	{
 		public:
-			HTTPClientConnection(RTSPServer& ourServer, int clientSocket, struct sockaddr_in clientAddr)
+			HTTPClientConnection(RTSPServer& ourServer, int clientSocket, struct SOCKETCLIENT clientAddr)
 		       : RTSPServer::RTSPClientConnection(ourServer, clientSocket, clientAddr), m_TCPSink(NULL), m_StreamToken(NULL), m_Subsession(NULL), m_Source(NULL) {
 			}
 			virtual ~HTTPClientConnection();
@@ -165,7 +170,7 @@ class HTTPServer : public RTSPServer
                        }
 		}
 
-		RTSPServer::RTSPClientConnection* createNewClientConnection(int clientSocket, struct sockaddr_in clientAddr) 
+		RTSPServer::RTSPClientConnection* createNewClientConnection(int clientSocket, struct SOCKETCLIENT clientAddr) 
 		{
 			return new HTTPClientConnection(*this, clientSocket, clientAddr);
 		}
